org.eclipse.ease.lang.unittest.runtime

## Interface ITestSuite

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, ITestContainer, ITestEntity, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TestSuite

    public interface ITestSuite
    extends ITestContainer

A representation of the model object 'Test Suite'.

The following features are supported:

- `Active Tests`
- `Definition`
- `Master Engine`

See Also:
  `IRuntimePackage.getTestSuite()`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<ITestEntity>` `getActiveTests()` Returns the value of the 'Active Tests' reference list.
`ITestSuiteDefinition` `getDefinition()` Returns the value of the 'Definition' reference.
`IScriptEngine` `getMasterEngine()` Returns the value of the 'Master Engine' attribute.
`void` `setDefinition(ITestSuiteDefinition value)` Sets the value of the '`Definition`' reference.
`void` `setMasterEngine(IScriptEngine value)` Sets the value of the '`Master Engine`' attribute.

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestContainer

`getChildContainers, getChildren, getCopyOfChildren, getResource, getTest, setResource`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getEstimatedDuration, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getStatus, getTestSuite, getWorstResult, hasError, isDisabled, isTerminated, reset, run, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp, setTerminated`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getActiveTests

    org.eclipse.emf.common.util.EList<ITestEntity> getActiveTests()

Returns the value of the 'Active Tests' reference list. The list contents are of type `ITestEntity`.

If the meaning of the 'Active Tests' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Active Tests' reference list.
See Also:
  `IRuntimePackage.getTestSuite_ActiveTests()`

#### getDefinition

    ITestSuiteDefinition getDefinition()

Returns the value of the 'Definition' reference.

If the meaning of the 'Definition' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Definition' reference.
See Also:
  `setDefinition(ITestSuiteDefinition)`, `IRuntimePackage.getTestSuite_Definition()`

#### setDefinition

    void setDefinition(ITestSuiteDefinition value)

Sets the value of the '`Definition`' reference.

Parameters:
  `value` - the new value of the 'Definition' reference.
See Also:
  `getDefinition()`

#### getMasterEngine

    IScriptEngine getMasterEngine()

Returns the value of the 'Master Engine' attribute.

If the meaning of the 'Master Engine' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Master Engine' attribute.
See Also:
  `setMasterEngine(IScriptEngine)`, `IRuntimePackage.getTestSuite_MasterEngine()`

#### setMasterEngine

    void setMasterEngine(IScriptEngine value)

Sets the value of the '`Master Engine`' attribute.

Parameters:
  `value` - the new value of the 'Master Engine' attribute.
See Also:
  `getMasterEngine()`